## ubertooth 2018.08.R1

=== debian/changelog ===
ubertooth (2018.08.R1-2) unstable; urgency=medium

  * Move python-pyside.qtcore and python-pyside.qtgui from Depends to
    Recommends since core functionality is not broken when they are not
    present.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 10 Aug 2018 13:32:26 +0200

ubertooth (2018.08.R1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches
  * Simplify handling of revision patch so that it does not need
    to be updated for every new upstream release.
  * debian/source/lintian-overrides deleted since it is not needed anymore
  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.0 - no changes
  * debain/rules:
    - Pass --no-parallel to dh_auto_build for firmware since it does not build
      reliably with multiple threads.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 10 Aug 2018 12:24:01 +0200

ubertooth (2018.06.R1-2) unstable; urgency=medium

  * debian/upstream/metadata added
  * debian/patches/04_no_git_for_debian.patch:
    - Fix setting GIT_REVISION in patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 09 Aug 2018 10:48:40 +0200

ubertooth (2018.06.R1-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches. Using gbp-pq
  * debian/control:
    - Depend on newer version of libbtbb: 2018.06.R1
  * debian/com.greatscottgadgets.ubertooth.metainfo.xml
    - Fix formatting of vendor and product IDs
  * debian/copyright:
    - Copyright information for some new files
    - Use https protocol in Format field
  * debian/libubertooth1.symbols:
    - Two new symbols
  * debian/rules:
    - Replace dpkg-parsechangelog with include /usr/share/dpkg/pkg-info.mk
  * debian/source/lintian-overrides:
    - ignore lintian for patch file which is used in debian/rules
  * debian/ubertooth-firmware.lintian-overrides:
    - ignore lintian for package name "-firmware", since it is firmware
      for external USB device, and not for the Linux kernel.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 13 Jul 2018 20:06:07 +0200

ubertooth (2017.03.R2-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote firmware dependencies to Build-Depends-Indep. (Closes: #893906)

  [ Ruben Undheim
  * debian/control:
    - Remove 'Testsuite: autopkgtest' since it is handled automatically now
    - New standards version 4.1.5 - no changes
  * Added debian/com.greatscottgadgets.ubertooth.metainfo.xml to announce
    the hardware via AppStream

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 11 Jul 2018 22:26:41 +0200

=== debian/control ===
Source: ubertooth
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               libusb-1.0-0-dev,
               libpcap-dev,
               cmake,
               pkg-config,
               libbluetooth-dev,
               libbtbb-dev (>= 2018.06.R1),
               python-all-dev,
               txt2man
Build-Depends-Indep: gcc-arm-none-eabi,
                     libnewlib-arm-none-eabi,
                     libstdc++-arm-none-eabi-newlib
Standards-Version: 4.2.0
Vcs-Browser: https://github.com/rubund/debian-ubertooth/tree/master
Vcs-Git: https://github.com/rubund/debian-ubertooth.git
Homepage: http://ubertooth.sourceforge.net/

Package: libubertooth1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Shared library for Bluetooth experimentation
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 This package provides the shared library needed by Ubertooth.

Package: libubertooth-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libubertooth1 (= ${binary:Version}),
         libusb-1.0-0-dev,
         libpcap-dev,
         libbluetooth-dev,
         libbtbb-dev,
         ${misc:Depends}
Description: Shared library for Bluetooth experimentation - development files
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 This package provides the development files for using the ubertooth library.

Package: ubertooth-firmware
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: ubertooth
Suggests: ubertooth-firmware-source
Description: Firmware for Ubertooth
 The Ubertooth hardware needs some firmware to run. The firmware is built with
 arm-none-eabi-gcc. This package contains a number of firmware images that
 may be programmed into the Ubertooth hardware using the 'ubertooth-dfu'
 command.
 .
 The firmware images are installed in /usr/share/ubertooth/firmware/

Package: ubertooth-firmware-source
Architecture: all
Depends: ${misc:Depends},
         ubertooth,
         libubertooth-dev
Recommends: gcc-arm-none-eabi,
            libnewlib-arm-none-eabi,
            libstdc++-arm-none-eabi-newlib
Suggests: ubertooth-firmware
Description: Source code for the Ubertooth firmware
 The Ubertooth hardware needs some firmware to run. The firmware is built with
 arm-none-eabi-gcc. This package contains the source code for the firmware that
 is found in the ubertooth-firmware package.
 .
 The firmware source may be found in /usr/src/ubertooth-firmware-source.tar.gz
 after installing this package.

Package: ubertooth
Architecture: any
Depends: libubertooth1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         python,
         python-numpy
Recommends: ubertooth-firmware,
            python-pyside.qtcore,
            python-pyside.qtgui
Suggests: ubertooth-firmware-source
Description: 2.4 GHz wireless development platform for Bluetooth experimentation
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. This package contains everything necessary to use
 the hardware dongle.
 .
 Ubertooth is capable of sniffing BLE (Bluetooth Smart) connections and it also
 has some ability to sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 In addition to the Bluetooth specific capabilities, there is also a simple
 spectrum analyzer for the 2.4 GHz band included (ubertooth-specan-ui) which
 can be used to also observe other things in this frequency band.

## ubertooth 2018.12.R1

=== host/CMakeLists.txt ===
#
# Copyright 2013 Dominic Spill
#
# This file is part of Ubertooth.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#
#top level cmake project for ubertooth lib + tools

cmake_minimum_required(VERSION 2.8)
project(ubertooth_all)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules
	CACHE STRING "CMake module path")

set(MAJOR_VERSION 1 CACHE INT "libUbertooth major version number")
set(MINOR_VERSION 1 CACHE INT "libUbertooth minor version number")
set( VERSION ${MAJOR_VERSION}.${MINOR_VERSION} )
add_definitions( -DVERSION="${VERSION}" )

# Comment the following out for releases.
set(CMAKE_C_FLAGS "$ENV{CFLAGS}" CACHE STRING "C Flags")

# Defaults: BUILD_SHARED=ON, BUILD_STATIC=OFF
set(BUILD_SHARED_LIB ON CACHE BOOL "Build shared library")
set(BUILD_STATIC_LIB OFF CACHE BOOL "Build static library")
set(BUILD_STATIC_BINS OFF CACHE BOOL "Build static library")
set(ENABLE_PYTHON ON CACHE BOOL "Build python tools")

# Check that we're building at least one library
if( NOT ${BUILD_SHARED_LIB} AND NOT ${BUILD_STATIC_LIB} )
	message( FATAL_ERROR "Not building static or shared library - at least one must be built")
endif( NOT ${BUILD_SHARED_LIB} AND NOT ${BUILD_STATIC_LIB} )

# Build static bins if we're only building the static lib
if( ${BUILD_STATIC_LIB} AND NOT ${BUILD_SHARED_LIB} )
	set(BUILD_STATIC_BINS ON)
	message(STATUS "Building static executables because only building static library")
endif( ${BUILD_STATIC_LIB} AND NOT ${BUILD_SHARED_LIB} )

# Complain if we're building the shared lib but static bins
if( ${BUILD_STATIC_BINS} AND NOT ${BUILD_STATIC_LIB} )
	message(FATAL "Building static executables not possible with shared library")
endif( ${BUILD_STATIC_BINS} AND NOT ${BUILD_STATIC_LIB} )

add_subdirectory(libubertooth)
add_subdirectory(ubertooth-tools)
add_subdirectory(doc)
add_subdirectory(misc)
if(${ENABLE_PYTHON})
	add_subdirectory(python)
endif()

# Create uninstall target
configure_file(
	${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
	${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== web/Makefile ===
NANOC := nanoc

compile: 
	$(NANOC) compile

# Add the following to your .ssh/config file to use upload
#Host web.sourceforge.net
#     User <SF username>,ubertooth
upload: compile
	rsync --delete --exclude .svn -ave ssh output/* web.sourceforge.net:htdocs/

clean:
	rm -rf output tmp

=== firmware/bluetooth_rxtx/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

# Target file name (without extension).
TARGET = bluetooth_rxtx

# List C source files here. (C dependencies are automatically generated.)
SRC = $(TARGET).c \
	bluetooth.c \
	bluetooth_le.c \
	ubertooth_usb.c \
	ubertooth_rssi.c \
	ubertooth_cs.c \
	ubertooth_clock.c \
	ubertooth_dma.c \
	le_phy.c \
	queue.c \
	cc2400_rangetest.c \
	ego.c \
	debug_uart.c \
	tinyprintf.c \
	$(LIBS_PATH)/usb_serial.c \
	$(LIBS_PATH)/serial_fifo.c \
	$(LIBS_PATH)/LPC17xx_Startup.c \
	$(LIBS_PATH)/LPC17xx_Interrupts.c \
	$(LIBS_PATH)/ubertooth.c \
	$(LPCUSB_PATH)/usbcontrol.c \
	$(LPCUSB_PATH)/usbinit.c \
	$(LPCUSB_PATH)/usbhw_lpc.c \
	$(LPCUSB_PATH)/usbstdreq.c

include ../common.mk

=== firmware/bootloader/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#----------------------------------------------------------------------------
# WinAVR Makefile Template written by Eric B. Weddington, Jörg Wunsch, et al.
#  >> Modified for use with the LUFA project. <<
#
# Released to the Public Domain
#
# Altered for ARM Cortex-M3 by Opendous Inc. - 2010-01-05
# Altered for Project Ubertooth by Michael Ossmann 2010
#
# Additional material for this makefile was written by:
# Peter Fleury
# Tim Henigan
# Colin O'Flynn
# Reiner Patommel
# Markus Pfaff
# Sander Pool
# Frederik Rouleau
# Carlos Lamas
# Dean Camera
# Denver Gingerich
# Opendous Inc.
# Michael Ossmann
# Jared Boone
#
#----------------------------------------------------------------------------
# On command line:
#
# make all = Make software.
#
# make clean = Clean out built project files.
#
# make program = Download the hex file to the device
#
# make doxygen = Generate DoxyGen documentation for the project (must have
#                DoxyGen installed)
#
# make filename.s = Just compile filename.c into the assembler code only.
#
# make filename.i = Create a preprocessed source file for use in submitting
#                   bug reports to the GCC project.
#
# To rebuild project do "make clean" then "make all".
#----------------------------------------------------------------------------

# set to UBERTOOTH_ZERO or UBERTOOTH_ONE
BOARD  ?= UBERTOOTH_ONE

# CPU architecture
CPU = cortex-m3

# Instruction Set to use (also known as CPU Mode)
CPU_MODE = mthumb

# Additional CPU flags
CPU_FLAGS = -mapcs-frame
CPU_FLAGS_ASM = -mthumb-interwork

# Target definition for lpcusb library
LPCUSB_TARGET = LPC17xx

# Output format. (can be srec, ihex, binary)
FORMAT = ihex

# Output Directory
OUTDIR = .

# Target file name (without extension).
TARGET = bootloader

# Library paths
LIBS_PATH = ../common
LPCUSB_PATH = $(LIBS_PATH)/lpcusb/target

# List C source files here. (C dependencies are automatically generated.)
SRC = $(LIBS_PATH)/LPC17xx_Startup.c \
      $(LIBS_PATH)/LPC17xx_Interrupts.c \
      $(LIBS_PATH)/ubertooth.c \
      $(LPCUSB_PATH)/usbcontrol.c \
      $(LPCUSB_PATH)/usbinit.c \
      $(LPCUSB_PATH)/usbhw_lpc.c \
      $(LPCUSB_PATH)/usbstdreq.c

# List C++ source files here. (C dependencies are automatically generated.)
CPPSRC = $(TARGET).cpp \
         dfu.cpp \
         iap.cpp

# List Assembler source files here.
#     Make them always end in a capital .S.  Files ending in a lowercase .s
#     will not be considered source files but generated files (assembler
#     output from the compiler), and will be deleted upon "make clean"!
#     Even though the DOS/Win* filesystem matches both .s and .S the same,
#     it will preserve the spelling of the filenames, and gcc itself does
#     care about how the name is spelled on its command-line.
ASRC =

# Object files directory
#     To put object files in current directory, use a dot (.), do NOT make
#     this an empty or blank macro!
OBJDIR = .

# Optimization level, can be [0, 1, 2, 3, s].
#     0 = turn off optimization. s = optimize for size.
#     (Note: 3 is not always the best optimization level. See libc FAQ.)
OPT = s

# Debugging format.
DEBUG = dwarf-2 -g3

# Linker Script for the current MCU
LINKER_SCRIPT = LPC17xx_Linker_Script_bootloader.ld

# List any extra directories to look for include files here.
#     Each directory must be seperated by a space.
#     Use forward slashes for directory separators.
#     For a directory that has spaces, enclose it in quotes.
EXTRAINCDIRS = $(LIBS_PATH) $(LPCUSB_PATH) ../../host/libubertooth/src

# Compiler flag to set the C Standard level.
#     c89   = "ANSI" C
#     gnu89 = c89 plus GCC extensions
#     c99   = ISO C99 standard (not yet fully implemented)
#     gnu99 = c99 plus GCC extensions
CSTANDARD = -std=gnu99

# Place -D or -U options here for C sources
CDEFS  = -D$(BOARD) -D$(LPCUSB_TARGET) $(COMPILE_OPTS) -Wa,-a,-ad

# Place -D or -U options here for ASM sources
ADEFS =

# Place -D or -U options here for C++ sources
CPPDEFS = -D$(BOARD) -D$(LPCUSB_TARGET) $(COMPILE_OPTS)

#---------------- Compiler Options C ----------------
#  -g*:          generate debugging information
#  -O*:          optimization level
#  -f...:        tuning, see GCC manual
#  -Wall...:     warning level
#  -Wa,...:      tell GCC to pass this to the assembler.
#    -alhms...: create assembler listing
CFLAGS = -g$(DEBUG)
CFLAGS += $(CDEFS)
CFLAGS += -O$(OPT)
CFLAGS += -Wall
CFLAGS += -Wno-unused
CFLAGS += -Wno-comments
CFLAGS += -fmessage-length=0
CFLAGS += -fno-builtin
CFLAGS += -ffunction-sections
CFLAGS += -Wextra
CFLAGS += -D__thumb2__=1
CFLAGS += -msoft-float
CFLAGS += -mno-sched-prolog
CFLAGS += -fno-hosted
CFLAGS += -mtune=cortex-m3
CFLAGS += -march=armv7-m
CFLAGS += -mfix-cortex-m3-ldrd
#CFLAGS += -Wundef
#CFLAGS += -funsigned-char
#CFLAGS += -funsigned-bitfields
#CFLAGS += -fno-inline-small-functions
#CFLAGS += -fpack-struct
#CFLAGS += -fshort-enums
#CFLAGS += -Wstrict-prototypes
#CFLAGS += -fno-unit-at-a-time
#CFLAGS += -Wunreachable-code
#CFLAGS += -Wsign-compare
CFLAGS += -Wa,-alhms=$(<:%.c=$(OBJDIR)/%.lst)
CFLAGS += $(patsubst %,-I%,$(EXTRAINCDIRS))
CFLAGS += $(CSTANDARD)

#---------------- Compiler Options C++ ----------------
#  -g*:          generate debugging information
#  -O*:          optimization level
#  -f...:        tuning, see GCC manual
#  -Wall...:     warning level
#  -Wa,...:      tell GCC to pass this to the assembler.
#    -alhms...: create assembler listing
CPPFLAGS = -g$(DEBUG)
CPPFLAGS += $(CPPDEFS)
CPPFLAGS += -O$(OPT)
#CPPFLAGS += -funsigned-char
#CPPFLAGS += -funsigned-bitfields
#CPPFLAGS += -fpack-struct
#CPPFLAGS += -fshort-enums
CPPFLAGS += -fno-exceptions
CPPFLAGS += -fno-rtti
CPPFLAGS += -fno-threadsafe-statics
CPPFLAGS += -Wall
CPPFLAGS += -Wextra
CPPFLAGS += -Weffc++
#CFLAGS += -Wundef
#CPPFLAGS += -mshort-calls
#CPPFLAGS += -fno-unit-at-a-time
#CPPFLAGS += -Wstrict-prototypes
#CPPFLAGS += -Wunreachable-code
#CPPFLAGS += -Wsign-compare
CPPFLAGS += -Wa,-alhms=$(<:%.cpp=$(OBJDIR)/%.lst)
CPPFLAGS += $(patsubst %,-I%,$(EXTRAINCDIRS))
#CPPFLAGS += $(CSTANDARD)

#---------------- Assembler Options ----------------
#  -Wa,...:   tell GCC to pass this to the assembler.
#  -alhms:   create listing
#  -gstabs:   have the assembler create line number information
#  -listing-cont-lines: Sets the maximum number of continuation lines of hex
#       dump that will be displayed for a given single line of source input.
ASFLAGS = -g$(DEBUG) $(ADEFS) -I.  -alhms=$(<:%.S=$(OBJDIR)/%.lst)

#---------------- Library Options ----------------

# List any extra directories to look for libraries here.
#     Each directory must be seperated by a space.
#     Use forward slashes for directory separators.
#     For a directory that has spaces, enclose it in quotes.
EXTRALIBDIRS = $(LIBS_PATH)

#---------------- Linker Options ----------------
#  -Wl,...:     tell GCC to pass this to linker.
#    -Map:      create map file
#    --cref:    add cross reference to  map file
LDFLAGS = -Wl,-Map=$(TARGET).map
#LDFLAGS += -Wl,--relax
#LDFLAGS += --gc-sections
LDFLAGS += $(patsubst %,-L%,$(EXTRALIBDIRS))
LDFLAGS += -static
LDFLAGS += -Wl,--start-group
#LDFLAGS += -L$(THUMB2GNULIB) -L$(THUMB2GNULIB2)
LDFLAGS += -lc -lg -lstdc++ -lsupc++
LDFLAGS += -lgcc -lm
LDFLAGS += -Wl,--end-group

#---------------- Programming Options ----------------
LPCISP  ?= $(shell which lpc21isp)
PROGDEV ?= /dev/ttyUSB0

#============================================================================

# Define programs and commands.
CROSS_COMPILE ?= arm-none-eabi-
CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)gcc -T
AS = $(CROSS_COMPILE)as
OBJCOPY = $(CROSS_COMPILE)objcopy
OBJDUMP = $(CROSS_COMPILE)objdump
READELF  = $(CROSS_COMPILE)readelf
SIZE = $(CROSS_COMPILE)size
AR = $(CROSS_COMPILE)ar -r
NM = $(CROSS_COMPILE)nm
REMOVE = rm -f

# Define Messages
# English
MSG_BEGIN = -------- begin --------
MSG_END = --------  end  --------
MSG_SIZE_BEFORE = Size before:
MSG_SIZE_AFTER = Size after:
MSG_FLASH = Creating load file for Flash:
MSG_EEPROM = Creating load file for EEPROM:
MSG_EXTENDED_LISTING = Creating Extended Listing:
MSG_SYMBOL_TABLE = Creating Symbol Table:
MSG_LINKING = Linking:
MSG_COMPILING = Compiling C:
MSG_COMPILING_CPP = Compiling C++:
MSG_ASSEMBLING = Assembling:
MSG_CLEANING = Cleaning project:
MSG_CREATING_LIBRARY = Creating library:

# Define all object files.
OBJ = $(SRC:%.c=$(OBJDIR)/%.o) $(CPPSRC:%.cpp=$(OBJDIR)/%.o) $(ASRC:%.S=$(OBJDIR)/%.o)

# Define all listing files.
LST = $(SRC:%.c=$(OBJDIR)/%.lst) $(CPPSRC:%.cpp=$(OBJDIR)/%.lst) $(ASRC:%.S=$(OBJDIR)/%.lst)

# Compiler flags to generate dependency files.
GENDEPFLAGS = -MMD -MP -MD

# Combine all necessary flags and optional flags.
# Add target processor to flags.
ALL_CFLAGS = -mcpu=$(CPU) -$(CPU_MODE) $(CPU_FLAGS) -I. $(CFLAGS) $(GENDEPFLAGS)
ALL_CPPFLAGS = -mcpu=$(CPU) -$(CPU_MODE) $(CPU_FLAGS) -I. -x c++ $(CPPFLAGS) $(GENDEPFLAGS)
ALL_ASFLAGS = -mcpu=$(CPU) -$(CPU_MODE) $(CPU_FLAGS_ASM) $(ASFLAGS)
# only difference between Linker flags and CFLAGS is CPU_FLAGS_ASM as -mapcs-frame is not needed
ALL_CFLAGS_LINKER = -mcpu=$(CPU) -$(CPU_MODE) $(CPU_FLAGS_ASM)

# Default target.
all: begin gccversion sizebefore build showtarget sizeafter end

# Change the build target to build a HEX file or a library.
build: elf hex bin srec lss sym
#build: lib

elf: $(TARGET).elf
hex: $(TARGET).hex
bin: $(TARGET).bin
srec: $(TARGET).srec
eep: $(TARGET).eep
lss: $(TARGET).lss
sym: $(TARGET).sym
LIBNAME=lib$(TARGET).a
lib: $(LIBNAME)

# Eye candy.
begin:
	@echo
	@echo $(MSG_BEGIN)

end:
	@echo $(MSG_END)
	@echo

# Display size of file.
ELFSIZE = $(SIZE) $(FORMAT_FLAG) $(TARGET).elf

sizebefore:
	@if test -f $(TARGET).elf; then echo; echo $(MSG_SIZE_BEFORE); $(ELFSIZE); \
	2>/dev/null; echo; fi

sizeafter:
	@if test -f $(TARGET).elf; then echo; echo $(MSG_SIZE_AFTER); $(ELFSIZE); \
	2>/dev/null; echo; fi

showtarget:
	@echo
	@echo --------- Target Information ---------
	@echo ARM Model: $(CPU)
	@echo Board:     $(BOARD)
	@echo --------------------------------------

# Display compiler version information.
gccversion:
	@$(CC) --version

program: $(TARGET).hex
	$(LPCISP) -control $(TARGET).hex $(PROGDEV)  230400 4000

# Create final output files (.hex, .eep) from ELF output file.
%.hex: %.elf
	@echo
	@echo $(MSG_FLASH) $@
	$(OBJCOPY) -O $(FORMAT) $< $@

%.bin: %.elf
	@echo
	@echo $(MSG_FLASH) $@
	$(OBJCOPY) -O binary $< $(TARGET).bin

%.srec: %.elf
	@echo
	@echo $(MSG_FLASH) $@
	$(OBJCOPY) -O srec $< $(TARGET).srec

%.eep: %.elf
	@echo
	@echo $(MSG_EEPROM) $@
	-$(OBJCOPY) -j .eeprom --set-section-flags=.eeprom="alloc,load" \
	--change-section-lma .eeprom=0 --no-change-warnings -O $(FORMAT) $< $@ || exit 0

# Create extended listing file from ELF output file.
%.lss: %.elf
	@echo
	@echo $(MSG_EXTENDED_LISTING) $@
	$(OBJDUMP) -h -z -S $< > $@

# Create a symbol table from ELF output file.
%.sym: %.elf
	@echo
	@echo $(MSG_SYMBOL_TABLE) $@
	$(NM) -n $< > $@

# Create library from object files.
.SECONDARY : $(TARGET).a
.PRECIOUS : $(OBJ)
%.a: $(OBJ)
	@echo
	@echo $(MSG_CREATING_LIBRARY) $@
	$(AR) $@ $(OBJ)

# Link: create ELF output file from object files.
.SECONDARY : $(TARGET).elf
.PRECIOUS : $(OBJ)
%.elf: $(OBJ)
	@echo
	@echo $(MSG_LINKING) $@
	$(LD) $(LINKER_SCRIPT) $(ALL_CFLAGS_LINKER) $(LDFLAGS) -o $@ $^

# Compile: create object files from C source files.
$(OBJDIR)/%.o : %.c
	@echo
	@echo $(MSG_COMPILING) $<
	$(CC) -c $(ALL_CFLAGS) $< -o $@

# Compile: create object files from C++ source files.
$(OBJDIR)/%.o : %.cpp
	@echo
	@echo $(MSG_COMPILING_CPP) $<
	$(CC) -c $(ALL_CPPFLAGS) $< -o $@

# Compile: create assembler files from C source files.
%.s : %.c
	$(AS) -S $(ALL_CFLAGS) $< -o $@

# Compile: create assembler files from C++ source files.
%.s : %.cpp
	$(CC) -S $(ALL_CPPFLAGS) $< -o $@

# Assemble: create object files from assembler source files.
$(OBJDIR)/%.o : %.S
	@echo
	@echo $(MSG_ASSEMBLING) $<

=== firmware/cc2400_test/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

# Target file name (without extension).
TARGET = cc2400_test

# List C source files here. (C dependencies are automatically generated.)
SRC = $(TARGET).c \
	$(LIBS_PATH)/LPC17xx_Startup.c \
	$(LIBS_PATH)/LPC17xx_Interrupts.c \
	$(LIBS_PATH)/ubertooth.c

include ../common.mk

=== firmware/tc13badge/Makefile ===
# Copyright (C) 2011 Michael Ossmann <mike@ossmann.com>
# Copyright (C) 2010 DJ Delorie <dj@redhat.com>

# This file is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# This file is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.

CC = m32c-elf-gcc
LD = m32c-elf-gcc -nostartfiles
AR = m32c-elf-ar

# Default program to flash, and port to flash it to.
elf = toorcon
port=ttyUSB0

all : r8c2l.h toorcon.elf

# List of objects common to all R8C programs.
BSP_FILES = \
	ivects.o

bsp.a : $(BSP_FILES)
	$(AR) rvs bsp.a $(BSP_FILES)

%.elf : init.o %.o bsp.a tc13badge.o
	$(LD) $^ -o $@ bsp.a -TR5F212L4.ld

.PHONY: flash
flash : ${elf}.elf
	uflash -p /dev/${port} -3 -r -b 38400 ${elf}.elf

%.o : %.c
	$(CC) -Os -c $*.c tc13badge.c

r8c2l.h r8c2l.inc : r8c2l.io mkports
	./mkports r8c2l.io r8c2l.h r8c2l.inc

.PRECIOUS: %.o %.elf

clean :
	-rm -f *~ *.o bsp.a *.elf r8c2l.h r8c2l.inc

=== firmware/usb_test/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

# Target definition for lpcusb library
LPCUSB_TARGET = LPC17xx

# Target file name (without extension).
TARGET = usb_test

# Library paths
LPCUSB_PATH = $(LIBS_PATH)/lpcusb/target

# List C source files here. (C dependencies are automatically generated.)
SRC = $(TARGET).c \
	$(LIBS_PATH)/usb_serial.c \
	$(LIBS_PATH)/serial_fifo.c \
	$(LIBS_PATH)/LPC17xx_Startup.c \
	$(LIBS_PATH)/LPC17xx_Interrupts.c \
	$(LIBS_PATH)/ubertooth.c \
	$(LPCUSB_PATH)/usbcontrol.c \
	$(LPCUSB_PATH)/usbinit.c \
	$(LPCUSB_PATH)/usbhw_lpc.c \
	$(LPCUSB_PATH)/usbstdreq.c

# List any extra directories to look for include files here.
#     Each directory must be seperated by a space.
#     Use forward slashes for directory separators.
#     For a directory that has spaces, enclose it in quotes.
EXTRAINCDIRS = $(LIBS_PATH) $(LPCUSB_PATH)

# Place -D or -U options here for C sources
CDEFS  = -D$(BOARD) -D$(LPCUSB_TARGET) $(COMPILE_OPTS)

include ../common.mk

=== host/doc/CMakeLists.txt ===
#
# Copyright 2017 Dominic Spill
#
# This file is part of Ubertooth.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#


project(libubertooth C)
set(PACKAGE documentation)

add_subdirectory(man)

# Create uninstall target
if(NOT ubertooth_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== host/libubertooth/CMakeLists.txt ===
#
# Copyright 2013 Dominic Spill
#
# This file is part of Ubertooth.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the hackrf cmake setup.

project(libubertooth C)
set(PACKAGE libubertooth)

add_subdirectory(src)

# Create uninstall target
if(NOT ubertooth_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== host/python/CMakeLists.txt ===
# Copyright 2013 Dominic Spill
#
# This file is part of Ubertooth
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

project(ubertooth-python)

# Check for python installation
find_package(PythonInterp)
if(NOT PYTHONINTERP_FOUND)
	return()
else()
	add_subdirectory(specan_ui)
#	add_subdirectory(usb_dfu)
endif()

# Create uninstall target
if(NOT ubertooth_all_SOURCE_DIR)
	configure_file(
		${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
		${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
	@ONLY)

	add_custom_target(uninstall
		${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
	)
endif()

=== host/kismet/plugin-ubertooth-phyneutral/Makefile ===
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)
UBERTOOTH_INC_DIR ?= /usr/include
LIBUSB_INCLUDES ?= -I/usr/include/libusb-1.0 -I/usr/local/include/libusb-1.0
LIBDIR ?= /lib

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS ?= $(LDFLAGS)
PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lusb-1.0 -lpthread -lbtbb -lubertooth
CFLAGS	+= -I$(KIS_INC_DIR)  $(LIBUSB_INCLUDES) -I$(UBERTOOTH_INC_DIR) -g -fPIC
CXXFLAGS += -I$(KIS_INC_DIR) $(LIBUSB_INCLUDES) -I$(UBERTOOTH_INC_DIR) -g -fPIC

SRVOBJS = packetsource_ubertooth.o packet_btbb_types.o \
			phy_btbb.o kismet_ubertooth.o
SRVOUT	= ubertooth.so

all:	$(SRVOUT)

$(SRVOUT):	$(SRVOBJS)
	$(CC) $(PLUGINLDFLAGS) $(CFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT)
	mkdir -p $(DESTDIR)$(prefix)/$(LIBDIR)/kismet/
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $(SRVOUT) $(DESTDIR)$(prefix)/$(LIBDIR)/kismet/$(SRVOUT)

userinstall:	$(SRVOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	$(INSTALL) -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== host/kismet/plugin-ubertooth/Makefile ===
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)
UBERTOOTH_INC_DIR ?= /usr/include
LIBUSB_INCLUDES ?= -I/usr/include/libusb-1.0 -I/usr/local/include/libusb-1.0
LIBDIR ?= /lib

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS ?= $(LDFLAGS)
PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lusb-1.0 -lpthread -lbtbb -lubertooth
CFLAGS	+= -I$(KIS_INC_DIR)  $(LIBUSB_INCLUDES) -I$(UBERTOOTH_INC_DIR) -g -fPIC
CXXFLAGS += -I$(KIS_INC_DIR) $(LIBUSB_INCLUDES) -I$(UBERTOOTH_INC_DIR) -g -fPIC

SRVOBJS = packetsource_ubertooth.o packet_btbb.o packet_btbb_types.o \
			tracker_btbb.o kismet_ubertooth.o 
SRVOUT	= ubertooth.so

CLIOBJS = ubertooth_ui.o
CLIOUT  = ubertooth_ui.so

all:	$(SRVOUT) $(CLIOUT)

$(CLIOUT):	$(CLIOBJS)
	$(CC) $(PLUGINLDFLAGS) $(CFLAGS) $(CLIOBJS) -o $(CLIOUT) $(LIBS)

$(SRVOUT):	$(SRVOBJS)
	$(CC) $(PLUGINLDFLAGS) $(CFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT) $(CLIOUT)
	mkdir -p $(DESTDIR)$(prefix)/$(LIBDIR)/kismet/
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $(SRVOUT) $(DESTDIR)$(prefix)/$(LIBDIR)/kismet/$(SRVOUT)
	mkdir -p $(DESTDIR)$(prefix)/$(LIBDIR)/kismet_client/
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $(CLIOUT) $(DESTDIR)$(prefix)/$(LIBDIR)/kismet_client/$(CLIOUT)


userinstall:	$(SRVOUT) $(CLIOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	install -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)
	mkdir -p ${HOME}/.kismet/client_plugins/
	install -v $(CLIOUT) ${HOME}/.kismet/client_plugins/$(CLIOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== debian/changelog ===
ubertooth (2018.12.R1-5) unstable; urgency=medium

  * Fix build with GCC-10 by removing unused extra definition of variable
    (Closes: #957891)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2020 10:30:08 +0200

ubertooth (2018.12.R1-4) unstable; urgency=medium

  * Bring pack ubertooth-specan-ui in package by running it in Python3 instead
    of Python2 (Closes: #954976)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 26 Mar 2020 11:49:06 +0100

ubertooth (2018.12.R1-3) unstable; urgency=medium

  * Drop Python 2 dependency (Closes: #938738) ubertooth-specan-ui removed from
    package until it has been ported.
  * debian/control:
    - New standards version 4.4.1 - no changes
    - Debhelper compat level 12
    - Depend on specific newer version of libbtbb
  * debian/compat: deleted file

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 23 Dec 2019 09:22:35 +0100

ubertooth (2018.12.R1-2) unstable; urgency=medium

  * debian/control:
    - Fix dependencies ("Recommends") for ubertooth-specan-ui (Closes: #919388)
      Replaced: python-pyside.qtcore and python-pyside.qtgui with
      python-pyside2.qtgui, python-pyside2.qtwidgets and python-pyside2.qtcore.
      (upstream has migrated the code to work with PySide2)
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Jan 2019 08:56:02 +0100

ubertooth (2018.12.R1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Move Vcs from github to salsa
  * debian/libubertooth1.symbols:
    - Added new symbol in symbols file
  * debian/gitlab-ci.yml:
    - Enable CI on salsa.debian.org

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 10:36:18 +0100

ubertooth (2018.08.R1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python-all with :any. (Closes: #912757)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 27 Nov 2018 22:33:34 +0100

ubertooth (2018.08.R1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote Build-Depends: python-all-dev to python-all. (Closes: #909553)

  [ Ruben Undheim ]
  * debian/control:
    - New standards version 4.2.1 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 25 Sep 2018 10:40:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libusb-1.0-0-dev,
                libpcap-dev,
                cmake,
                pkg-config,
                libbluetooth-dev,
-               libbtbb-dev (>= 2018.06.R1),
-               python-all-dev,
+               python3-all:any,
+               libbtbb-dev (>= 2018.12.R1),
                txt2man
 Build-Depends-Indep: gcc-arm-none-eabi,
                      libnewlib-arm-none-eabi,
                      libstdc++-arm-none-eabi-newlib
-Standards-Version: 4.2.0
-Vcs-Browser: https://github.com/rubund/debian-ubertooth/tree/master
-Vcs-Git: https://github.com/rubund/debian-ubertooth.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/rubund/ubertooth
+Vcs-Git: https://salsa.debian.org/rubund/ubertooth.git
 Homepage: http://ubertooth.sourceforge.net/
 
 Package: libubertooth1
@@ -88,11 +88,12 @@
 Depends: libubertooth1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
-         python,
-         python-numpy
+         python3,
+         python3-numpy
 Recommends: ubertooth-firmware,
-            python-pyside.qtcore,
-            python-pyside.qtgui
+            python3-pyside2.qtgui,
+            python3-pyside2.qtwidgets,
+            python3-pyside2.qtcore
 Suggests: ubertooth-firmware-source
 Description: 2.4 GHz wireless development platform for Bluetooth experimentation
  Project Ubertooth is an open source wireless development platform suitable for

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SOURCE_DATE_UTC ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH))
CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")
DOPACKAGES = $(shell dh_listpackages)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

UPSTREAM_PACKAGE_VERSION ?= $(shell echo $(DEB_VERSION) | sed 's/-[^-]*$$//')

UPSTREAM_PACKAGE_VERSION_ORIGINAL = $(shell echo $(UPSTREAM_PACKAGE_VERSION) | sed 's/\./-/g')

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=host
	dh_auto_clean --sourcedirectory=firmware
	$(RM) debian/man/*.1
	$(RM) -r ubertooth-firmware-source
	$(RM) ubertooth-firmware-source.tar.gz
	$(RM) debian/ubertooth.pc

override_dh_auto_configure:
	# Creating ubertooth-firmare-source.tar.gz:
	cp -rf firmware ubertooth-firmware-source
	cd ubertooth-firmware-source ; patch -R -Np2 < ../debian/patches/02_fix_missing_dfu.patch ; \
	  patch -Np2 < ../debian/patches_extra/patch_include_source.patch
	cd ubertooth-firmware-source ; sed -i 's/REPLACE_ME_WITH_VERSION/$(UPSTREAM_PACKAGE_VERSION_ORIGINAL)/' common.mk
	GZIP=-9n tar --mtime='$(SOURCE_DATE_UTC)' --sort=name --owner=root --group=root \
	  --mode=go=rX,u+rw,a-s -czvf ubertooth-firmware-source.tar.gz \
	  ubertooth-firmware-source/
	#
	
	dh_auto_configure --sourcedirectory=host -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	  -DUBERTOOTH_GROUP=plugdev -DUDEV_RULES_PATH=/lib/udev/rules.d
ifneq ($(filter ubertooth-firmware,$(DOPACKAGES)),)
	dh_auto_configure --sourcedirectory=firmware
endif

override_dh_auto_build:
	dh_auto_build --sourcedirectory=host
ifneq ($(filter ubertooth-firmware,$(DOPACKAGES)),)
	dh_auto_build --sourcedirectory=firmware --no-parallel -- \
	  TIMESTAMP="-DTIMESTAMP=''" COMPILE_BY="-D'COMPILE_BY=\"user\"'" \
	  COMPILE_HOST="-D'COMPILE_HOST=\"localhost\"'" \
	  GIT_REVISION="-D'GIT_REVISION=\"$(UPSTREAM_PACKAGE_VERSION_ORIGINAL)\"'"
endif
	cat debian/ubertooth.pc.in | sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/' | \
	  sed 's/UPSTREAM_PACKAGE_VERSION/$(UPSTREAM_PACKAGE_VERSION)/' > debian/ubertooth.pc

override_dh_auto_install:
	dh_auto_install --sourcedirectory=host
ifneq ($(filter ubertooth-firmware,$(DOPACKAGES)),)
	chmod a-x firmware/*/*.bin
	dh_auto_install --sourcedirectory=firmware
endif
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	cp debian/ubertooth.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	rm debian/tmp/usr/bin/ubertooth-tx # The tool does nothing - not fully implemented. Skip installing
	                                   # TODO: remove line when tool has been implemented

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman
